What units are compatible with Centurion?

The following is a list for known compatibility:

Apollo: All Versions
DataHog: 1.50+
Pegasus: 2.39 - 2.45
Phoenix: 2.39 - 2.45
Unicorn: 2.39 - 2.45
Unicorn Limited: All Versions
Sprite: 1.40+
Trail Counter: All Versions

Some older units can be upgraded to be compatible with Centurion.  Contact us for details and availability.

Related Articles


No attachments were found.

Visitor Comments

Article Details

Last Updated
17th of October, 2011

Apollo, DataHog, Omega, Pegasus, Phoenix, Sprite, TT-6W, TT-8W, TTC-4420, Unicorn, Unicorn LTD

Would you like to...

Print this page  Print this page

Email this page  Email this page

Post a comment  Post a comment

 Subscribe me

Subscribe me  Add to favorites

Remove Highlighting Remove Highlighting

Edit this Article

Quick Edit

Export to PDF

User Opinions

No users have voted.

How would you rate this answer?

Thank you for rating this answer.